---
updatedAt: 2026-09-29T09:37:13.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Change extracted company data

# Overview

Use this endpoint to update the `info.companyInfo` object, which contains company data extracted from documents and corporate registry checks.. This data is intended to be cross-checked against the provided company information (`fixedInfo.companyInfo`).

This method allows you to update existing company information without creating a new profile—simply submit this `PATCH` request with the new data.

<Callout icon="🚧" theme="warn">
  ### Important

  - Submitting new information will overwrite the previously stored data. To retain current values, omit those fields from the request payload.
  - A patched `info` entity could be quite damaging if misused. It is recommended to check in the [sandbox environment](https://docs.sumsub.com/sumsub/docs/sandbox-mode) if the response returns expected results.
</Callout>

<Callout icon="📘" theme="info">
  ### Note

  If you need to re-check the company once the information has been changed, you need to revert the company [verification status](https://docs.sumsub.com/sumsub/reference/get-applicant-review-status#review-statuses) to `pending` by [initiating another review](https://docs.sumsub.com/sumsub/reference/request-applicant-check).
</Callout>

# Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Change applicant's personal data** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## Request example

```curl KYB 2.0
curl -X PATCH \
  'https://api.sumsub.com/resources/applicants/5b76df770a975a1404c00000/info/companyInfo' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Token: <your-app-token>' \
  -H 'X-App-Access-Sig: <your-signature>' \
  -H 'X-App-Access-Ts: <unix-timestamp>' \
  -d '{
          "companyName": "your_company_name",
          "registrationNumber": "7836733",
          "country": "GBR",
          "website": "yourcompany.com",
          "noUBOs": false,
          "beneficiaries": [
            {
              "id": "123e4567-e89b-12d3-a456-426655440000",
              "types": [
                "shareholder",
                "representative"
              ],
              "shareSize": 10
            },
            {
              "id": "987e6543-e89b-12d3-a456-426655440000",
              "types": [
                "shareholder"
              ],
              "shareSize": 12
            }
          ]
      }'
```

# Response explained

If the request is successfully sent and processed, you will get a JSON file that contains the `companyInfo` object with the data changed.

You can see the `companyInfo` structure and possible content with descriptions in the [following table](https://docs.sumsub.com/sumsub/reference/get-applicant-data#companyinfo-attributes).

## Response example

If the request is successfully sent and processed, you will get a response like one below.

```json KYB 2.0
{
  "companyName": "your_company_name",
  "registrationNumber": "7836733",
  "country": "GBR",
  "website": "yourcompany.com",
  "noUBOs": false,
  "beneficiaries": [
    {
      "id": "123e4567-e89b-12d3-a456-426655440000",
      "types": [
        "shareholder",
        "representative"
      ],
      "shareSize": 10
    },
    {
      "id": "987e6543-e89b-12d3-a456-426655440000",
      "types": [
        "shareholder"
      ],
      "shareSize": 12
    }
  ]
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "correlationId": "27b05e3e3a94851dc0d7caef793ab82d",
  "errorCode": 0,
  "description": "Invalid id '673390478c5cc60a492aa39'"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/applicants/{applicantId}/info/companyInfo": {
      "patch": {
        "summary": "Change extracted company data",
        "description": "",
        "operationId": "change-extracted-company-data",
        "parameters": [
          {
            "name": "applicantId",
            "in": "path",
            "description": "Unique identifier of the company applicant in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/company?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "companyName": {
                    "type": "string",
                    "description": "Name of the company."
                  },
                  "registrationNumber": {
                    "type": "string",
                    "description": "Unique number assigned to the company when it was registered as a legal entity."
                  },
                  "country": {
                    "type": "string",
                    "description": "Alpha-3 code of the country where the company is legally registered (for example, `DEU`, `GBR`, `ARG`, and so on)."
                  },
                  "alternativeNames": {
                    "type": "array",
                    "description": "Each string stands for an alternative name of the company: a brand name, business trademark, name in a local language, and so on. For example, \"Megacorp\" instead of \"The Megacorp ABC Inc.\" These names will also undergo AML screening.<br><br>⚠️ If you want to add new names to the old ones, submit existing names in the request as well, otherwise the old names will be overwritten.",
                    "items": {
                      "type": "string"
                    }
                  },
                  "legalAddress": {
                    "type": "string",
                    "description": "Address a legal entity uses to register with a legal authority."
                  },
                  "address": {
                    "type": "object",
                    "description": "Company address details.",
                    "properties": {
                      "street": {
                        "type": "string",
                        "description": "Street name."
                      },
                      "subStreet": {
                        "type": "string",
                        "description": "Additional information related to the street. This could be a house number or any other details."
                      },
                      "town": {
                        "type": "string",
                        "description": "City, town, or another settlement."
                      },
                      "state": {
                        "type": "string",
                        "description": "State, region, district, county or another territorial entity inside a country. <br><br>⚠️ The `address.state` field in the API call for the USA and Canada specifies a state or a province, in the two-letter format (standard postal code). For more info, refer to [this article](https://docs.sumsub.com/sumsub/reference/autokyb-api-examples)."
                      },
                      "postCode": {
                        "type": "string",
                        "description": "Address postal code."
                      },
                      "country": {
                        "type": "string",
                        "description": "Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on)."
                      }
                    }
                  },
                  "incorporatedOn": {
                    "type": "string",
                    "description": "Date of company incorporation (format `YYYY-mm-dd`, e.g. `2001-09-25`)."
                  },
                  "type": {
                    "type": "string",
                    "description": "Type of legal entity. For example, `Private Company Limited by Shares`, `Public Limited Company`, `Limited Partnership`, and so on."
                  },
                  "email": {
                    "type": "string",
                    "description": "Company email address."
                  },
                  "phone": {
                    "type": "string",
                    "description": "Company phone number."
                  },
                  "controlScheme": {
                    "type": "string",
                    "description": "Description of the control scheme of the company ownership or group of entities."
                  },
                  "taxId": {
                    "type": "string",
                    "description": "Taxpayer registration number/Code of taxpayer registration."
                  },
                  "leiCode": {
                    "type": "string",
                    "description": "Legal Entity Identifier (LEI) code. Refers to the public identifier from the financial entities registry."
                  },
                  "registrationLocation": {
                    "type": "string",
                    "description": "City, town, or another location where the company was registered."
                  },
                  "website": {
                    "type": "string",
                    "description": "Website URL of the company."
                  },
                  "postalAddress": {
                    "type": "string",
                    "description": "Company postal address."
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```